using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace skyscraper8.SatIp.RtspRequests
{
	internal class RtspOptionsRequest : RtspRequest
	{
		public RtspOptionsRequest()
			: base("OPTIONS")
		{
		}

		public uint CSeq
		{
			set
			{
				base.args["CSeq"] = Convert.ToString(value);
			}
			get
			{
				return uint.Parse(base.args["CSeq"]);
			}
		}

		public string UserAgent
		{
			set
			{
				base.args["User-Agent"] = value;
			}
			get
			{
				return base.args["User-Agent"];
			}
		}
	}
}
